#
# spec file for package yast2-sysconfig (Version 2.13.9)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gpg gpm grep groff gzip hal hwinfo info insserv klogd less libacl libattr libcom_err libgcc libgssapi libicu libidn libmudflap libnscd libstdc++ libtool libusb libxcrypt libxml2 liby2util libzio libzypp m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch pcre perl perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-devtools yast2-hardware-detection yast2-pkg-bindings yast2-testsuite zlib zlib-devel


Name:           yast2-sysconfig
Version:        2.13.9
Release:        0.3
License:        GPL v2 or later
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-sysconfig-2.13.9.tar.bz2
Prefix:         /usr
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite
Requires:       yast2 perl yast2-installation
BuildArch:      noarch
Provides:       y2c_rc_config yast2-config-rcconfig yast2-config-sysconfig
Obsoletes:      y2c_rc_config yast2-config-rcconfig yast2-config-sysconfig
Provides:       yast2-trans-sysconfig yast2-trans-rcconfig y2t_rc_config
Obsoletes:      yast2-trans-sysconfig yast2-trans-rcconfig y2t_rc_config
Summary:        YaST2 - Sysconfig Editor
%debug_package

%package -n yast2-powertweak
License:        GPL v2 or later
Requires:       yast2-sysconfig
Group:          System/YaST
Summary:        YaST2 - Powertweak Configuration

%description
A graphical /etc/sysconfig/* editor with integrated search and context
information.



Authors:
--------
    Michael Hager <mike@suse.de>
    Ladislav Slezak <lslezak@suse.cz>

%description -n yast2-powertweak
This Yast2 module allows you to edit some hardware and kernel
parameters.



Authors:
--------
    Michael Hager <mike@suse.de>
    Ladislav Slezak <lslezak@suse.cz>

%prep
%setup -n yast2-sysconfig-2.13.9

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/sysconfig
/usr/share/YaST2/include/sysconfig/*
/usr/share/YaST2/clients/sysconfig.ycp
/usr/share/YaST2/clients/sysconfig_*.ycp
/usr/share/YaST2/modules/Sysconfig.ycp
/usr/share/YaST2/modules/Sysconfig.ybc
%{prefix}/share/applications/YaST2/sysconfig.desktop
%{prefix}/lib/YaST2/bin/parse_configs.pl
/usr/share/YaST2/data/sysedit.agent
/usr/share/YaST2/data/descriptions
/usr/share/YaST2/schema/autoyast/rnc/sysconfig.rnc
%doc %{prefix}/share/doc/packages/yast2-sysconfig

%files -n yast2-powertweak
%defattr(-,root,root)
%{prefix}/share/applications/YaST2/powertweak.desktop
/usr/share/YaST2/clients/powertweak.ycp
/usr/share/YaST2/data/powertweak.agent

%changelog
* Mon Apr 07 2008 - lslezak@suse.cz
- 'clear' command line option works properly (bnc#377068)
- 2.13.9
* Thu Nov 09 2006 - lslezak@suse.cz
- added RNC schema for Autoyast profile validation (#219011)
- 2.13.8
* Mon Jul 17 2006 - lslezak@suse.cz
- refresh UI layout after change of the selected variable (#172356)
- ignore backup files in /etc/sysconfig directory (#177463)
- 2.13.7
* Wed May 17 2006 - lslezak@suse.cz
- display warning if not running as root (#171197)
- 2.13.6
* Mon Feb 20 2006 - lslezak@suse.cz
- updated BuildRequires (replaced yast2-devel-packages macro)
- 2.13.5
* Mon Dec 19 2005 - jsuchome@suse.cz
- merged proofread texts
- 2.13.4
* Fri Dec 16 2005 - lslezak@suse.cz
- sysconfig.ycp: added a note for translators about
  splitted help text
- 2.13.3
* Fri Dec 02 2005 - lslezak@suse.cz
- Sysconfig::search renamed to Search (search is a built-in
  function now)
- Powertweak - fixed line break in Y2CC (#135803)
- 2.13.2
* Mon Nov 21 2005 - lslezak@suse.cz
- redirect stdout and stderr output of restarted service to
  /dev/null - do not hang at service restart (#86631)
- version 2.13.1
* Fri Sep 23 2005 - lslezak@suse.cz
- powerteak - wrap long description lines (#118517)
- enhanced set command (in command line mode) to accept form
  VARIABLE=value, enhanced the help text (#94417)
- 2.13.0
* Mon Sep 05 2005 - lslezak@suse.cz
- don't install powertweak-extra package by default (#105273)
- 2.12.3
* Tue Aug 30 2005 - lslezak@suse.cz
- fixed dialog header in powertweak mode (#106731)
- 2.12.2
* Thu Jul 28 2005 - lslezak@suse.cz
- updated detktop files
- 2.12.1
* Fri Jul 22 2005 - lslezak@suse.cz
- updated icon in .desktop files
- 2.12.0
* Thu Apr 21 2005 - lslezak@suse.cz
- fixed typo in the help text (#79275)
* Wed Nov 24 2004 - lslezak@suse.cz
- display default value or empty string instead of the current
  value in aytoyast mode (#36874)
- version 2.11.3
* Mon Nov 15 2004 - lslezak@suse.cz
- merged commandline mode fixes from 9.1 branch:
  - fixed option properties (#48133)
  - added 'clear' command to set empty value ("")
- version 2.11.2
* Wed Oct 27 2004 - lslezak@suse.cz
- adapted to new Mode:: API
- version 2.11.1
* Mon Oct 18 2004 - lslezak@suse.cz
- removed help text from search dialog (#46605)
- version 2.11.0
* Mon Sep 27 2004 - lslezak@suse.cz
- register agent during autoinstallation (#45836)
- version 2.10.5
* Tue Sep 14 2004 - lslezak@suse.cz
- GetModified/SetModified functions (AutoYaST API)
- don't call Read() in Import()
- version 2.10.4
* Mon Aug 23 2004 - lslezak@suse.cz
- fixed datatype (value returned from command line)
- version 2.10.3
* Wed Jun 16 2004 - lslezak@suse.cz
- updated testsuite (use Testsuite:: module, set testedfiles)
- version 2.10.2
* Tue Jun 15 2004 - lslezak@suse.cz
- don't escape values in single quotes (#41984)
- version 2.10.1
* Fri Jun 11 2004 - lslezak@suse.cz
- read also files from /etc/sysconfig/uml/ (UML config. directory)
- version 2.10.0
* Tue May 04 2004 - lslezak@suse.cz
- merged proofread texts
- version 2.9.15
* Sat Apr 03 2004 - nashif@suse.de
-
* Sat Apr 03 2004 - nashif@suse.de
- Adapt to use new Wizard (#37581)
- 2.9.14
* Fri Apr 02 2004 - lslezak@suse.cz
- changed license to GPL
- version 2.9.13
* Fri Mar 26 2004 - lslezak@suse.cz
- [Default] button - fixed layout problem (#36745)
- version 2.9.12
* Thu Mar 25 2004 - nashif@suse.de
- Dont run complete suseconfig when writing autoyast configuration
* Fri Mar 12 2004 - lslezak@suse.cz
- use new Wizard
- use Package module
- fixed module description (#35372)
- version 2.9.11
* Fri Mar 05 2004 - lslezak@suse.cz
- data type fixes
- use Sequencer:: module
- version 2.9.10
* Tue Mar 02 2004 - lslezak@suse.cz
- don't use Product:: module
- version 2.9.9
* Mon Mar 01 2004 - lslezak@suse.cz
- merged proofread texts
- more strict data types (typed lists and maps)
- version 2.9.8
* Mon Feb 23 2004 - lslezak@suse.cz
- fixed reading values containing '=' character (#34864)
- fixed editing values with '\$' substring (#34809)
- version 2.9.7
* Fri Feb 13 2004 - lslezak@suse.cz
- read /etc/sysconfig/powersave/* files
- use CommandLine::Run
- NI fixes: nil checking
- version 2.9.6
* Sun Feb 08 2004 - arvin@suse.de
- removed config files (*.y2cc)
* Wed Feb 04 2004 - lslezak@suse.cz
- testsuite update
- packages gcc and yast2-network are not required
  or needed for build
- version 2.9.4
* Fri Jan 30 2004 - lslezak@suse.cz
- fixes for the new interpreter (nil checking,
  data types, removed globals, build fix)
- version 2.9.3
* Tue Jan 13 2004 - lslezak@suse.cz
- fixes for the new interpreter
- version 2.9.2
* Thu Dec 18 2003 - lslezak@suse.cz
- use Service:: module instead of Runlevel::
- removed unused imports
* Wed Nov 26 2003 - lslezak@suse.cz
- fixes for the new interpreter
- version 2.9.1
* Tue Nov 25 2003 - lslezak@suse.cz
- use String::ParseOptions function
- support multiline values
* Thu Nov 13 2003 - lslezak@suse.cz
- command line UI
- use IP:: module
- version 2.9.0
* Thu Sep 25 2003 - lslezak@suse.cz
- use Require module (#31673)
* Mon Sep 15 2003 - lslezak@suse.de
- fixed empty ("") value bug (#30644)
- documentation update
- version 2.8.7
* Fri Sep 12 2003 - nashif@suse.de
- Dont turn Progress on in autoinst mode
* Fri Sep 12 2003 - nashif@suse.de
- #30291: return list of required packages for autoinstallation
* Fri Aug 29 2003 - lslezak@suse.de
- small fixes in perl parser (#29526)
- don't show empty commands in the description
- fixed 'Go to' button functionality
- powertweak mode fixes
- added missing translation marks
- version 2.8.4
* Tue Aug 26 2003 - lslezak@suse.de
- new metadata keyword PreSaveCommand: (#29212)
- version 2.8.3
* Mon Aug 25 2003 - lslezak@suse.cz
- removed "Initializing..." dialog
- version 2.8.2
* Mon Aug 11 2003 - lslezak@suse.de
- merged proofread texts
- version 2.8.1
* Wed Aug 06 2003 - lslezak@suse.cz
- use the new metadata (the activation commands)
- use Label:: and Popup:: modules instead of includes
- fixed double quote backslashing bug (character before
  the double quote character was lost)
- fixed testsuites
- added .desktop files
- .spec: added yast2-installation package to Requires
  and neededforbuild (Product.ycp module)
- version 2.8.0
* Wed Mar 12 2003 - lslezak@suse.de
- fixed undefined function call UI::ErrorMessage
  (changed to UI::ErrorPopup), fixed translation
- version 2.7.12
* Mon Mar 10 2003 - lslezak@suse.de
- fixed ifcfg.template location, comment reading from template
  (for /etc/sysconfig/network/ifcfg-* files)
- version 2.7.11
* Wed Mar 05 2003 - lslezak@suse.de
- ignore escaped slash in Path tag (#24571)
- remove new line characters from description in search
  result dialog
- wrap lines in node description text
- don't display multiple instances of variable in one file
- version 2.7.10
* Tue Mar 04 2003 - nashif@suse.de
- define variable files module wide (#24494)
- renamed files to custom_files
* Thu Feb 27 2003 - lslezak@suse.de
- ignore header in config file (#23876)
- updated testsuite
- version 2.7.9
* Tue Feb 25 2003 - lslezak@suse.de
- don't change comment formatting (#24205)
- testsuite updated
- version 2.7.8
* Mon Feb 24 2003 - lslezak@suse.de
- removed workaround for bug #23721 ("&lt;" was not interpreted
  in ncurses)
- fixed parsing and validating integer and regexp types (#24033)
- added testsuites
- added yast2-network to neededforbuild
- powertweak mode fixes
- Powermanagement path description update
- version 2.7.7
* Mon Feb 17 2003 - lslezak@suse.de
- convert '<', '>' to '&lt;', '&gt;' in richtext comment
- version 2.7.6
* Wed Feb 05 2003 - lslezak@suse.cz
- don't show comments after three hash characters
- added metadata documentation
- added missing 'descriptions' in *.spec
- version 2.7.5
* Mon Feb 03 2003 - lslezak@suse.cz
- merged proof-read texts
- bugfixes in sysconfig_auto.ycp
- version 2.7.4
* Fri Jan 17 2003 - lslezak@suse.cz
- export/import data in 8.1 format
- version 2.7.3
* Thu Jan 16 2003 - lslezak@suse.cz
- autoinstallation support
- autoinst. config mode: added "use current value"
  and "add new variable..." functions
- fixed parsing metadata type value
- removed obsoleted and unused files
  sysconfig_proposal.ycp and sysconfig_write.ycp
- added missing descriptions of predefined paths
- added descriptions for translatiors
- small code clean up
* Wed Jan 08 2003 - lslezak@suse.cz
- added descriptions of predefined paths
- support for /etc/sysconfig/network/ifcfg-* files
- read network metadata from ifcg.template file
- support IPv4 and IPv6 data types
- support "variable = 'value'" lines in config files
- fixes - shortcuts, translations, ycpdoc comments
- version 2.7.2
* Thu Nov 28 2002 - lslezak@suse.cz
- check if new value is valid (according to specified data type)
- save modified values to files
- search in configuration files
- use metadata from previous variable if comment is missing
- powertweak subpackage is working now
- install powertweak packages on request (removed from Require:)
- version 2.7.1
* Tue Nov 19 2002 - lslezak@suse.cz
- removed metadata database (now part of configuration files)
- read and parse metadata
- merged with CVS head
- version 2.7.0
* Thu Oct 03 2002 - lslezak@suse.cz
- added possible values ("grub", "lilo") for LOADER_TYPE variable
  (#20385)
- version 2.6.15
* Fri Sep 27 2002 - lslezak@suse.cz
- use string::size_type instead of int - fixes endless loop
  at start on 64-bit architectures (#20236)
- version 2.6.14
* Thu Sep 19 2002 - lslezak@suse.cz
- do not start SuSEconfig after saving powertweak configuration
- version 2.6.13
* Wed Sep 11 2002 - lslezak@suse.cz
- fixed progress label (rc.config -> sysconfig) (#19398)
- added new metadata
- version 2.6.12
* Fri Sep 06 2002 - lslezak@suse.cz
- fixed metadata
- reenabled SuSEconfig after save
- do not show powertweak settings in sysconfig mode
- provide/obsolete old packages
- version 2.6.11
* Thu Sep 05 2002 - lslezak@suse.cz
- added new metadata
- fixed spec file - powertweak.ycp was missing
- version 2.6.10
* Mon Sep 02 2002 - lslezak@suse.cz
- log missing comments
- added new metadata
- added powetweak alias (allow 'yast2 powertweak')
- new icon for yast2-powertweak
- version 2.6.9
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Fri Aug 23 2002 - lslezak@suse.cz
- added new metadata
- version 2.6.8
* Fri Aug 16 2002 - lslezak@suse.cz
- escape double quotes in values, remove redundant beginning
  and trailing double quotes (#16727)
- read multi line values (#17766)
- added new metadata
- version 2.6.7
* Wed Aug 14 2002 - lslezak@suse.cz
- read really all files at /etc/sysconfig directory
- changed tree level separator from '/' to '$' (allows displaying
  powertweak variables with '/' in name), fixed metadata scripts,
  regenerated metadata file
- merged proofread text
- added script for searching missing variables in metadata file
- added new metadata
- changed maintainer to lslezak@suse.cz
- version 2.6.6
* Fri Aug 09 2002 - lslezak@suse.de
- added ycpdoc comments
- use OKButtonLabel(), Cancel...(), ...
- code cleanup - removed obsoleted functions, any type
- version 2.6.5
* Thu Aug 08 2002 - lslezak@suse.de
- added new meta data
- added support for /etc/sysconfig/network/wireless file
- fixed powertweak question dialog
- version 2.6.4
* Thu Aug 01 2002 - lslezak@suse.cz
- added powertweak support
- created yast2-powertweak subpackage
- added new entries to meta_sys.config file
- added comments for translators
- version 2.6.3
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Sat Jul 06 2002 - arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jul 01 2002 - msvec@suse.cz
- renamed to yast2-sysconfig
- 2.6.0
* Thu Mar 21 2002 - mike@suse.de
- bug 13694: missing variables in sysconfig editor
* Wed Mar 20 2002 - mike@suse.de
- ro request: bug in spec fixed
* Thu Mar 14 2002 - mike@suse.de
- Bug 14992: sysconfig editor asks me if I wish to see the installation log
* Tue Feb 26 2002 - mike@suse.de
- enameing from yast2-trans-rcconfig to  yast2-trans-sysconfig
* Tue Feb 26 2002 - mike@suse.de
- renameing from yast2-config-rcconfig to  yast2-config-sysconfig
* Mon Feb 18 2002 - mike@suse.de
- new libtool version was required
* Mon Feb 18 2002 - mike@suse.de
- changes due to /etc/sysconfig and deleted firewall option
* Fri Feb 08 2002 - lnussel@suse.de
- command line argument is of type string
* Fri Feb 08 2002 - mike@suse.de
- changes due to /etc/sysconfig changes
* Mon Sep 24 2001 - mike@suse.de
- fixed: broken logfile of scripts
  fixed: deleted stop of pers. firewall
* Thu Sep 20 2001 - mike@suse.de
- moved menuentry to group security
* Thu Sep 20 2001 - mike@suse.de
- change request of draht:
  for proper work, we have to start firewall2 script before personal firewall
  script
* Wed Sep 19 2001 - mike@suse.de
- added START_FW2 variable for firewall module.
- change start, stop to restart2 for firewall2
* Tue Sep 18 2001 - mike@suse.de
- firewall scripts started
* Fri Sep 14 2001 - mike@suse.de
- new firewall configuration  added
* Mon Sep 10 2001 - lnussel@suse.de
- moved icon in Control Center from Group "Misc" to "System"
  (Bug #10256)
* Sat Aug 11 2001 - arvin@suse.de
- fixed for gcc 3.0
* Wed Jul 25 2001 - lnussel@suse.de
- ported to libstdc++, libg++ no longer necessary
* Tue May 08 2001 - mike@suse.de
- added varaiables for 7.2, added Documentation
* Tue Apr 24 2001 - jbuch@suse.de
- define -> global define
* Thu Mar 08 2001 - curry@suse.de
- faster reading and processing of rc.config variables
* Fri Jan 19 2001 - mike@suse.de
- tag a string (make it translatable)
* Thu Jan 18 2001 - mike@suse.de
- added new 7.1 variables to database
* Mon Jan 15 2001 - mike@suse.de
- bugfix in search
* Wed Jan 03 2001 - mike@suse.de
- new database (added meta information)
  enums allowed
* Fri Dec 15 2000 - mike@suse.de
- new database (added meta information )
* Wed Dec 13 2000 - mike@suse.de
- new menuentry
* Fri Dec 08 2000 - mike@suse.de
- fix bzip2 helptext
* Fri Dec 08 2000 - mike@suse.de
- new module for 7.1
  graphical /etc/rc.config editor
